### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes | Friends
IborIndex Class Reference

base class for Inter-Bank-Offered-Rate indexes (e.g. Libor, etc.) More...

`#include <ql/indexes/iborindex.hpp>`

Inheritance diagram for IborIndex:
[legend]

List of all members.

## Public Member Functions

| IborIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, const Currency &currency, const Calendar &fixingCalendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
InterestRateIndex interface
Date | maturityDate (const Date &valueDate) const
Rate | forecastFixing (const Date &fixingDate) const
| It can be overridden to implement particular conventions.
Inspectors
BusinessDayConvention | businessDayConvention () const
bool | endOfMonth () const
Handle< YieldTermStructure > | forwardingTermStructure () const
| the curve used to forecast fixings
Other methods
virtual boost::shared_ptr < IborIndex > | clone (const Handle< YieldTermStructure > &forwarding) const
| returns a copy of itself linked to a different forwarding curve

## Protected Attributes

BusinessDayConvention | convention_
Handle< YieldTermStructure > | termStructure_
bool | endOfMonth_

## Friends

class | IborCoupon

## Detailed Description

base class for Inter-Bank-Offered-Rate indexes (e.g. Libor, etc.)